portals-jetspeed-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Raphaël Luta <raph...@apache.org>
Subject Re: [J2] Maven version required to build J2 ?
Date Tue, 30 Mar 2004 22:13:00 GMT

Le 30 mars 04, à 23:52, Emmanuel Venisse a écrit :

>>>> Thanks. I'll test it tomrrow. Do you also have the strange java 
>>>> goals
>>>> issue with Maven RC2 ?
>>>
>>> Remove the plugins directory in ${user.home}/.maven
>>>
>>> Emmanuel
>>>
>>
>> That's what I did with the clean install... I still got the issue !
>> There must be something else rotten in my maven config
>
>
> Can you explain us (on maven mailing list) your problem?
>

Well since I'm not subscribed to the maven list, I'll try to recap 
exactly what I did :
- clean the maven local files ($HOME/.maven)
- download Maven RC2 Windows installer and install over Maven RC1
- start building J2
- got error message complaining that "java:jar-resources" was not an 
available goal
- same with java:compile
- checked with maven -g and the java goal was not registered
- checked the maven plugin directory and the java plugin was there but 
it was not
expanded inside .maven/plugins

I fixed the issue by using the java plugin of Maven RC1 within RC2 
(they are listed with the
same version number but don't have the same size...)

--
Raphaël Luta - raphael@apache.org
Apache Jetspeed - Enterprise Portal in Java
http://jakarta.apache.org/jetspeed/


---------------------------------------------------------------------
To unsubscribe, e-mail: jetspeed-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: jetspeed-dev-help@jakarta.apache.org


Mime
View raw message